## ai 1.0.4.44

=== DESCRIPTION ===
Package: ai
Title: Build, Predict and Analyse Artificial Intelligence Models
Version: 1.0.4.44
Authors@R: 
    person("Rafal", "Urniaz", , "rafal.urniaz@cantab.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-0192-2165"))
Description: An interface for data processing, building models, predicting values and analysing outcomes. Fitting Linear Models, Robust Fitting of Linear Models, k-Nearest Neighbor Classification, 1-Nearest Neighbor Classification, and Conditional Inference Trees are available.
Depends: R (>= 4.4.0)
License: GPL-3
Encoding: UTF-8
URL: https://github.com/urniaz/ai
BugReports: https://github.com/urniaz/ai/issues
biocViews: Software
Imports: base, class, stats, caTools, MASS, party, Metrics
Suggests: testthat (>= 3.0.0)
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2024-09-30 22:26:49 UTC; urniaz
Author: Rafal Urniaz [aut, cre] (<https://orcid.org/0000-0003-0192-2165>)
Maintainer: Rafal Urniaz <rafal.urniaz@cantab.net>
Repository: CRAN
Date/Publication: 2024-10-02 13:30:06 UTC

## ai catalyst-0.1.0

=== requirements.txt ===
asyncpg>=0.28.0
aiohttp>=3.8.0
aiofiles>=23.0.0
pyyaml>=6.0
psutil>=5.9.0
openai>=1.0.0
regex>=2023.0.0
pandas>=2.0.0
cryptography>=41.0.0
pytest>=7.0.0
pytest-asyncio>=0.21.0

## ai ebash-0.2.19b1

=== requirements.txt ===
certifi==2025.8.3
charset-normalizer==3.4.3
idna==3.10
markdown-it-py==3.0.0
mdurl==0.1.2
platformdirs==4.4.0
Pygments==2.19.2
requests==2.32.5
rich==14.1.0
urllib3==2.5.0
tomli>=1.2.0; python_version < "3.11"
tomli-w>=1.0.0
dynaconf==3.2.11

=== debian/control ===
Source: ai-ebash
Section: utils
Priority: optional
Maintainer: Andrey Bochkarev <andrey.bch.1976@gmail.com>
Build-Depends: debhelper (>= 9), dh-python, python3-all
Standards-Version: 4.5.0

Package: ai-ebash
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Console utility for integrating artificial intelligence into a Linux terminal.
 A simple CLI wrapper for AI written in Python.

=== debian/rules ===
#!/usr/bin/make -f
%:
    dh $@ --with python3 --buildsystem=pybuild

## ai ebash-0.4.7

=== requirements.txt ===
--- 
+++ 
@@ -8,6 +8,5 @@
 requests==2.32.5
 rich==14.1.0
 urllib3==2.5.0
-tomli>=1.2.0; python_version < "3.11"
-tomli-w>=1.0.0
-dynaconf==3.2.11
+openai>=1.0.0
+pyyaml>=6.0

=== debian/control ===
Source: ai-ebash
Section: python
Priority: optional
Maintainer: Andrey Bochkarev <andrey.bch.1976@gmail.com>
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-setuptools,
               python3-pip,
               dh-python,
               python3-openai | python3 (>= 3.6),
               python3-rich,
               python3-pyyaml,
               python3-textual
Standards-Version: 4.6.2
Homepage: https://github.com/Vivatist/ai-bash

Package: ai-ebash
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-openai,
         python3-rich,
         python3-pyyaml,
         python3-textual,
         python3-platformdirs,
         python3-requests
Description: AI-powered Bash shell assistant
 AI-eBash is an intelligent command-line assistant that uses AI to help
 with shell commands and system administration tasks. It provides
 contextual suggestions, command explanations, and automated script
 generation using OpenAI's GPT models.

=== debian/rules ===
#!/usr/bin/make -f

%:
    dh $@ --with python3,virtualenv

override_dh_virtualenv:
    dh_virtualenv --python python3 \
        --install-suffix ai-ebash \
        --requirements requirements.txt

## ai ebash-0.4.20

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

# Явно вызываем dh_virtualenv на этапе установки, без добавления аддона в '--with'
override_dh_auto_install:
	dh_virtualenv --python python3 \
		--install-suffix ai-ebash \
		--requirements debian/requirements.txt

# Не выполняем стандартные auto-* этапы (проект упаковывается через dh_virtualenv)
override_dh_auto_configure:
	:

override_dh_auto_build:
	:

override_dh_auto_clean:
	:

override_dh_auto_test:
	:

## ai ebash-0.4.21

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 # Явно вызываем dh_virtualenv на этапе установки, без добавления аддона в '--with'
 override_dh_auto_install:
 	dh_virtualenv --python python3 \
-		--install-suffix ai-ebash \
 		--requirements debian/requirements.txt
 
 # Не выполняем стандартные auto-* этапы (проект упаковывается через dh_virtualenv)

## ai ebash-0.4.24

=== requirements.txt ===
--- 
+++ 
@@ -8,5 +8,5 @@
 requests==2.32.5
 rich==14.1.0
 urllib3==2.5.0
-openai>=1.0.0
-pyyaml>=6.0
+openai==1.108.0
+PyYAML==6.0.2

## ai flow-0.2.1

=== requirements.txt ===
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
# Required dependencies
streamz==0.5.2
matplotlib==3.1.2
grpcio==1.34.0
requests==2.22.0
six==1.12.0
kafka-python==2.0.2
kubernetes==9.0.0
numpy==1.18.1
networkx==2.4
oss2==2.9.1
pika==1.1.0
protobuf==3.15.6
pytest==5.3.5
pyyaml>=5.1, <5.4
apscheduler==3.6.3
google-api-core==1.16.0
psutil==5.6.3
pandas==0.24.2
pika==1.1.0
pyecharts==1.8.1
cloudpickle==1.2.2
flask>=1.1.0, <2.0
flask-admin==1.5.4
flask-appbuilder>=1.12.2, <2.0.0;python_version<"3.6"
flask-appbuilder~=3.1.1;python_version>="3.6"
flask-caching~=1.9.0
flask_cors>=3.0.10
flask-login>=0.3, <0.5
flask-swagger==0.2.13
flask-wtf>=0.14.2, <0.15
Django~=3.2.7
# Optional dependencies
apache-flink==1.11.0
tensorflow==1.15.0
pymysql==0.9.3
scikit-learn==0.21.2
alembic>=1.0,<2.0
argcomplete~=1.10
attrs~=20.3.0
cached_property~=1.5
cattrs~=1.1.2
colorlog==4.0.2
configparser>=3.5.0,<3.6.0
croniter>=0.3.17, <0.4
dill>=0.2.2, <0.4
enum34~=1.1.6;python_version<"3.4"
funcsigs>=1.0.0, <2.0.0
future>=0.16.0, <0.19
graphviz>=0.12
gunicorn>=19.5.0, <20.0
iso8601>=0.1.12
jinja2>=2.10.1, <2.11.0
json-merge-patch==0.2
jsonschema~=3.0
lazy_object_proxy~=1.3
markdown>=2.5.2, <3.0
marshmallow-sqlalchemy>=0.16.1, <0.19.0;python_version<"3.6"
pendulum~=2.0
pygments>=2.0.1, <3.0
python-daemon>=2.1.1, <2.2
python-dateutil>=2.3, <3
setproctitle>=1.1.8, <2
sqlalchemy==1.3.23
sqlalchemy_jsonfield==0.8.0;python_version<"3.5"
sqlalchemy_jsonfield~=1.0;python_version>="3.5"
tabulate>=0.7.5, <0.9
tenacity==6.2.0
termcolor==1.1.0
text-unidecode==1.3
thrift>=0.9.2
typing;python_version<"3.5"
typing-extensions>=3.7.4;python_version<"3.8"
tzlocal>=1.4,<2.0.0
unicodecsv>=0.14.1
werkzeug~=1.0
zope.deprecation>=4.0, <5.0
mysqlclient~=2.0.3
mongoengine~=0.22.1
notification-service==0.2.1
apache-airflow==2.0.0
apache-airflow-providers-ftp==1.1.0
apache-airflow-providers-http==1.1.1
apache-airflow-providers-imap==1.0.1
apache-airflow-providers-sqlite==1.0.2
apache-airflow-providers-celery==1.0.1
redis~=3.2

## ai flow-0.2.2

=== requirements.txt ===
--- 
+++ 
@@ -48,9 +48,9 @@
 flask-swagger==0.2.13
 flask-wtf>=0.14.2, <0.15
 Django~=3.2.7
+WTForms==2.3.3
 # Optional dependencies
 apache-flink==1.11.0
-tensorflow==1.15.0
 pymysql==0.9.3
 scikit-learn==0.21.2
 alembic>=1.0,<2.0
@@ -95,7 +95,7 @@
 zope.deprecation>=4.0, <5.0
 mysqlclient~=2.0.3
 mongoengine~=0.22.1
-notification-service==0.2.1
+notification-service==0.2.2
 apache-airflow==2.0.0
 apache-airflow-providers-ftp==1.1.0
 apache-airflow-providers-http==1.1.1

## ai services-0.4.1

=== Makefile ===
define USAGE
Super awesome hand-crafted build system ⚙️

Commands:
	setup     Install dependencies, dev included
	lock      Generate requirements.txt
	test      Run tests
	lint      Run linting tests
	run       Run docker image with --rm flag but mounted dirs.
	release   Publish docker image based on some variables
	docker    Build the docker image
	tag    	  Make a git tab using poetry information

endef

export USAGE
.EXPORT_ALL_VARIABLES:
GIT_TAG := $(shell git describe --tags)
CUDA=11.5
# from poetry pyproject.toml
LF_VERSION :=$(shell python3 scripts/get_version.py)
FULLPY_PKG := $(shell python3 scripts/get_package_name.py)
API_VERSION := "v1"
BUILD := $(shell git rev-parse --short HEAD)
PROJECTNAME := $(shell basename "$(PWD)")
PACKAGE_DIR = $(shell basename "$(PWD)")
DOCKERID = $(shell echo "nuxion")
# REGISTRY := registry.nyc1.algorinfo
# RANDOM := $(shell echo $RANDOM | md5sum | head -c 20; echo;)

help:
	@echo "$$USAGE"

.PHONY: startenv
startenv:
	poetry shell
	docker-compose start 
	alembic upgrade head

clean:
	find . ! -path "./.eggs/*" -name "*.pyc" -exec rm {} \;
	find . ! -path "./.eggs/*" -name "*.pyo" -exec rm {} \;
	find . ! -path "./.eggs/*" -name ".coverage" -exec rm {} \;
	rm -rf build/* > /dev/null 2>&1
	rm -rf dist/* > /dev/null 2>&1
	rm -rf .ipynb_checkpoints/* > /dev/null 2>&1
	rm -rf docker/client/dist
	rm -rf docker/all/dist

lock-dev:
	poetry export -f requirements.txt --output requirements/requirements_dev.txt --extras server --without-hashes --dev

lock-all:
	poetry export -f requirements.txt --output requirements/requirements_all.txt --without-hashes --extras server --extras cloud --extras stores

lock-client:
	poetry export -f requirements.txt --output requirements/requirements_client.txt --without-hashes --extras stores
	cp requirements/requirements_client.txt labfunctions/conf/templates/requirements_client.txt

lock: lock-all lock-client lock-dev

build: lock
	poetry build
	echo ${PWD}
	tar xvfz dist/${FULLPY_PKG}.tar.gz -C dist/
	cp dist/${FULLPY_PKG}/setup.py .

preversion: 
	poetry version prerelease
	./scripts/update_versions.sh ${API_VERSION}

.PHONY: generate-docker
generate-docker:
	lab runtimes generate official-all
	mv Dockerfile.official-all docker/Dockerfile.all
	lab runtimes generate official-client 
	mv Dockerfile.official-client docker/Dockerfile.client
	lab runtimes generate official-gpu
	mv Dockerfile.official-gpu docker/Dockerfile.client.gpu
	python3 scripts/docker_compose.py 127.0.0.1
	cp docker/docker-compose.yaml docker-compose.yaml


minor: 
	poetry version minor
	./scripts/update_versions.sh ${API_VERSION}

black:
	black --config ./.black.toml labfunctions tests

isort:
	isort labfunctions tests --profile=black

lint: black isort

.PHONY: test
test:
	PYTHONPATH=$(PWD) pytest --cov-report xml --cov=labfunctions tests/

.PHONY: test-html
test-html:
	PYTHONPATH=$(PWD) pytest --cov-report=html --cov=labfunctions tests/


.PHONY: e2e
e2e:
	pytest -s -k test_ e2e/

.PHONY: install
install:
	poetry install --dev

.PHONY: web
web:
	lab web --apps workflows,history,projects,runtimes -A --workers 1 -L

.PHONY: agent
agent:
	lab agent run --qnames cpu,gpu,build,control -m local/ba/asd

.PHONY: docker-client
docker-client:
	docker build -t ${DOCKERID}/${PROJECTNAME}:latest-client -f docker/Dockerfile.client .
	docker tag ${DOCKERID}/${PROJECTNAME}:latest-client ${DOCKERID}/${PROJECTNAME}:${LF_VERSION}-client

.PHONY: docker-client-push
docker-client-push:
	docker push ${DOCKERID}/${PROJECTNAME}:$(LF_VERSION)-client

.PHONY: docker-client-gpu
docker-client-gpu:
	docker build -t ${DOCKERID}/${PROJECTNAME}:latest-client-cuda${CUDA} -f docker/Dockerfile.client.gpu .
	docker tag ${DOCKERID}/${PROJECTNAME}:latest-client-cuda${CUDA} ${DOCKERID}/${PROJECTNAME}:${LF_VERSION}-client-cuda${CUDA}

.PHONY: docker-client-push
docker-client-gpu-push:
	docker push ${DOCKERID}/${PROJECTNAME}:$(LF_VERSION)-client-cuda${CUDA}

.PHONY: docker-all
docker-all:
	docker build -t ${DOCKERID}/${PROJECTNAME} -f docker/Dockerfile.all .
	docker tag ${DOCKERID}/${PROJECTNAME}:latest ${DOCKERID}/${PROJECTNAME}:$(LF_VERSION)

.PHONY: docker-dev
docker-dev:
	docker build -t nuxion/labdev -f Dockerfile.3.8-slim .

.PHONY: docker-all-push
docker-all-push:
	docker push ${DOCKERID}/${PROJECTNAME}:$(LF_VERSION)

.PHONY: docker
docker: docker-client docker-client-gpu docker-all

.PHONY: docker-release
docker-release: docker
	docker push ${DOCKERID}/${PROJECTNAME}:$(LF_VERSION)
	docker push ${DOCKERID}/${PROJECTNAME}:$(LF_VERSION)-client
	docker push ${DOCKERID}/${PROJECTNAME}:$(LF_VERSION)-client-gpu

.PHONY: publish
publish:
	poetry publish

.PHONY: publish-test
publish-test:
	poetry publish --build -r test

.PHONY: redis-cli
redis-cli:
	docker-compose exec redis redis-cli

.PHONY: docs-server
docs-serve:
	sphinx-autobuild docs docs/_build/html --port 9292 --watch ./

.PHONY: tag
tag:
	# https://git-scm.com/docs/pretty-formats/2.20.0
	#poetry version prealese
	git tag -a $(shell poetry version --short) -m "$(shell git log -1 --pretty=%s | head -n 1)"

## ai services-0.5.0rc8

=== Makefile ===
define USAGE
Super awesome hand-crafted build system ⚙️

Commands:
	setup     Install dependencies, dev included
	lock      Generate requirements.txt
	test      Run tests
	lint      Run linting tests
	run       Run docker image with --rm flag but mounted dirs.
	release   Publish docker image based on some variables
	docker    Build the docker image
	tag    	  Make a git tab using poetry information

endef

export USAGE
.EXPORT_ALL_VARIABLES:
GIT_TAG := $(shell git describe --tags)
BUILD := $(shell git rev-parse --short HEAD)
PROJECTNAME := $(shell basename "$(PWD)")
PACKAGE_DIR = $(shell basename "$(PWD)")
DOCKERID = $(shell echo "nuxion")

help:
	@echo "$$USAGE"

clean:
	find . ! -path "./.eggs/*" -name "*.pyc" -exec rm {} \;
	find . ! -path "./.eggs/*" -name "*.pyo" -exec rm {} \;
	find . ! -path "./.eggs/*" -name ".coverage" -exec rm {} \;
	rm -rf build/* > /dev/null 2>&1
	rm -rf dist/* > /dev/null 2>&1
	rm -rf .ipynb_checkpoints/* > /dev/null 2>&1
	rm -rf docker/client/dist
	rm -rf docker/all/dist

lint:
	pylint --disable=R,C,W services --ignore-paths=services/files

check:
	mypy -p services --exclude services.files

black:
	black services tests

isort:
	isort services tests --profile=black

format: isort black

.PHONY: test
test:
	PYTHONPATH=$(PWD) pytest --cov-report xml --cov=labfunctions tests/

.PHONY: docs-server
docs-serve:
	sphinx-autobuild docs docs/_build/html --port 9292 --watch ./


redis:
	docker run --rm -p 6379:6379 redis:6.2

## ai services-0.5.0rc24

=== docs/requirements.txt ===
furo==2023.3.27
sphinx==5.3.0
myst-parser==1.0.0

## ai services-0.5.4

=== Makefile ===
--- 
+++ 
@@ -54,8 +54,7 @@
 
 .PHONY: docs-server
 docs-serve:
-	sphinx-autobuild docs docs/_build/html --port 9292 --watch ./
-
+	hatch run docs:watch 
 
 redis:
 	docker run --rm -p 6379:6379 redis:6.2

## ai subtitle-0.1.0

=== requirements.txt ===

openai
openai-whisper
ffmpeg-python
srt
platformdirs
colorama
polib
tqdm
